Ubuntu

“icedtea-web” 1.2.3-0ubuntu0.12.04.1 source package in Ubuntu

Changelog

icedtea-web (1.2.3-0ubuntu0.12.04.1) precise-security; urgency=low

  * IcedTea-Web 1.2.3 release.
  * Security Updates:
    - CVE-2013-1927: fixed gifar vulnerability.
    - CVE-2013-1926: Class-loader incorrectly shared for applets with same
      relative-path.
  * Common:
    - PR1161: X509VariableTrustManager does not work correctly with OpenJDK7.
  * NetX:
    - PR580: http://www.horaoficial.cl/ loads improperly.
  * Plugin:
    - PR1157: Applets can hang browser after fatal exception.

icedtea-web (1.2.2-0ubuntu1) precise-proposed; urgency=low

  * Update to the 1.2.2 bug fix release. LP: #1131479.
    - Includes security fixes uploaded earlier.
    - Bug fixes:
      - PR1106: Buffer overflow in plugin table.
      - PR898: signed applications with big jnlp-file doesn't start (webstart
        affect like "frozen").
      - PR811: javaws is not handling urls with spaces (and other characters
        needing encoding) correctly.
      - S816592: icedtea-web not loading GeoGebra java applets in Firefox
        or Chrome.
      - PR863: Error passing strings to applet methods in Chromium.
      - PR895: IcedTea-Web searches for missing classes on each loadClass
        or findClass.
      - PR518: NPString.utf8characters not guaranteed to be nul-terminated.
      - Disambiguate signed applet security prompt from certificate warning.
  * Search both OpenJDK-6 and OpenJDK-7 when starting itweb-settings.
    LP: #1078424.
 -- Matthias Klose <email address hidden>   Wed, 17 Apr 2013 01:06:18 +0200

Upload details

Uploaded by:
Matthias Klose on 2013-04-17
Sponsored by:
Jamie Strandboge
Uploaded to:
Precise
Original maintainer:
Ubuntu Developers
Component:
main
Architectures:
any all
Section:
java
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size MD5 Checksum
icedtea-web_1.2.3.orig.tar.gz 880.4 KiB ab56d94251975a9bb5359ea85136ea79
icedtea-web_1.2.3-0ubuntu0.12.04.1.debian.tar.gz 16.3 KiB d2b7feb3e0e5887ba788dd892c447eb4
icedtea-web_1.2.3-0ubuntu0.12.04.1.dsc 2.4 KiB e806227337a7e368dcbca21725644703

Binary packages built by this source

icedtea-6-plugin: web browser plugin based on OpenJDK and IcedTea to execute Java applets

 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.

icedtea-7-plugin: web browser plugin based on OpenJDK and IcedTea to execute Java applets

 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.

icedtea-netx: NetX - implementation of the Java Network Launching Protocol (JNLP)

 NetX provides a drop-in replacement for javaws (Java Web Start). Since
 upstream NetX is dormant, IcedTea is hosting and modifying the sources
 in the IcedTea-Web directory.
 .
 IcedTea's NetX currently supports verification of signed jars, trusted
 certificate storing, system certificate store checking, and provides
 the services specified by the jnlp API.

icedtea-netx-common: NetX - implementation of the Java Network Launching Protocol (JNLP)

 NetX provides a drop-in replacement for javaws (Java Web Start). Since
 upstream NetX is dormant, IcedTea is hosting and modifying the sources
 in the IcedTea-Web directory.
 .
 This package contains the architecture independent files.

icedtea-plugin: web browser plugin to execute Java applets (dependency package)

 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.
 .
 This is a dependency package, it can be safely removed after upgrade.

icedtea6-plugin: web browser plugin to execute Java applets (dependency package)

 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.
 .
 This is a dependency package, it can be safely removed after upgrade.